ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitry Lysnichenko (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-21595) Ambari Server Setup Code Fails Because of Missing Stack Upgrade
Date Fri, 28 Jul 2017 08:59:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-21595?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dmitry Lysnichenko updated AMBARI-21595:
----------------------------------------
    Attachment: AMBARI-21595.patch

> Ambari Server Setup Code Fails Because of Missing Stack Upgrade
> ---------------------------------------------------------------
>
>                 Key: AMBARI-21595
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21595
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>            Reporter: Dmitry Lysnichenko
>            Assignee: Dmitry Lysnichenko
>            Priority: Blocker
>         Attachments: AMBARI-21595.patch
>
>
> On {{branch-feature-AMBARI-21450}}, there is a Python failure on ambari-server setup:
> {code}
> Using python  /usr/bin/python
> Setup ambari-server
> Traceback (most recent call last):
> File "/usr/sbin/ambari-server.py", line 40, in <module>
> from ambari_server.serverUpgrade import upgrade, upgrade_stack, set_current
> ImportError: cannot import name upgrade_stack
> {code}
> This is most likely a cherry-pick issue from trunk where all "upgrade stack" code was
removed. I think that we should also remove it from here as well since this will cause problems
with PATCH repositories anyway.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message